Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network251.64.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
251.64.0.0
Broadcast address
251.79.255.255
First usable
251.64.0.1
Last usable
251.79.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FB400000 · Integer 4215275520 to 4216324095
Reverse DNS zones
64.251.in-addr.arpa
65.251.in-addr.arpa
66.251.in-addr.arpa
67.251.in-addr.arpa
68.251.in-addr.arpa
69.251.in-addr.arpa
70.251.in-addr.arpa
71.251.in-addr.arpa
72.251.in-addr.arpa
73.251.in-addr.arpa
74.251.in-addr.arpa
75.251.in-addr.arpa
76.251.in-addr.arpa
77.251.in-addr.arpa
78.251.in-addr.arpa
79.251.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111011.01000000.00000000.00000000251.64.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11111011.01000000.00000000.00000000251.64.0.0
Broadcast11111011.01001111.11111111.11111111251.79.255.255
Split into smaller subnets/24

251.64.0.0/12 makes 4,096 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1251.64.0.0/24251.64.0.1 to 251.64.0.254251.64.0.255254
2251.64.1.0/24251.64.1.1 to 251.64.1.254251.64.1.255254
3251.64.2.0/24251.64.2.1 to 251.64.2.254251.64.2.255254
4251.64.3.0/24251.64.3.1 to 251.64.3.254251.64.3.255254
5251.64.4.0/24251.64.4.1 to 251.64.4.254251.64.4.255254
6251.64.5.0/24251.64.5.1 to 251.64.5.254251.64.5.255254
7251.64.6.0/24251.64.6.1 to 251.64.6.254251.64.6.255254
8251.64.7.0/24251.64.7.1 to 251.64.7.254251.64.7.255254
9251.64.8.0/24251.64.8.1 to 251.64.8.254251.64.8.255254
10251.64.9.0/24251.64.9.1 to 251.64.9.254251.64.9.255254
11251.64.10.0/24251.64.10.1 to 251.64.10.254251.64.10.255254
12251.64.11.0/24251.64.11.1 to 251.64.11.254251.64.11.255254
13251.64.12.0/24251.64.12.1 to 251.64.12.254251.64.12.255254
14251.64.13.0/24251.64.13.1 to 251.64.13.254251.64.13.255254
15251.64.14.0/24251.64.14.1 to 251.64.14.254251.64.14.255254
16251.64.15.0/24251.64.15.1 to 251.64.15.254251.64.15.255254
17251.64.16.0/24251.64.16.1 to 251.64.16.254251.64.16.255254
18251.64.17.0/24251.64.17.1 to 251.64.17.254251.64.17.255254
19251.64.18.0/24251.64.18.1 to 251.64.18.254251.64.18.255254
20251.64.19.0/24251.64.19.1 to 251.64.19.254251.64.19.255254
21251.64.20.0/24251.64.20.1 to 251.64.20.254251.64.20.255254
22251.64.21.0/24251.64.21.1 to 251.64.21.254251.64.21.255254
23251.64.22.0/24251.64.22.1 to 251.64.22.254251.64.22.255254
24251.64.23.0/24251.64.23.1 to 251.64.23.254251.64.23.255254
25251.64.24.0/24251.64.24.1 to 251.64.24.254251.64.24.255254
26251.64.25.0/24251.64.25.1 to 251.64.25.254251.64.25.255254
27251.64.26.0/24251.64.26.1 to 251.64.26.254251.64.26.255254
28251.64.27.0/24251.64.27.1 to 251.64.27.254251.64.27.255254
29251.64.28.0/24251.64.28.1 to 251.64.28.254251.64.28.255254
30251.64.29.0/24251.64.29.1 to 251.64.29.254251.64.29.255254
31251.64.30.0/24251.64.30.1 to 251.64.30.254251.64.30.255254
32251.64.31.0/24251.64.31.1 to 251.64.31.254251.64.31.255254
33251.64.32.0/24251.64.32.1 to 251.64.32.254251.64.32.255254
34251.64.33.0/24251.64.33.1 to 251.64.33.254251.64.33.255254
35251.64.34.0/24251.64.34.1 to 251.64.34.254251.64.34.255254
36251.64.35.0/24251.64.35.1 to 251.64.35.254251.64.35.255254
37251.64.36.0/24251.64.36.1 to 251.64.36.254251.64.36.255254
38251.64.37.0/24251.64.37.1 to 251.64.37.254251.64.37.255254
39251.64.38.0/24251.64.38.1 to 251.64.38.254251.64.38.255254
40251.64.39.0/24251.64.39.1 to 251.64.39.254251.64.39.255254
41251.64.40.0/24251.64.40.1 to 251.64.40.254251.64.40.255254
42251.64.41.0/24251.64.41.1 to 251.64.41.254251.64.41.255254
43251.64.42.0/24251.64.42.1 to 251.64.42.254251.64.42.255254
44251.64.43.0/24251.64.43.1 to 251.64.43.254251.64.43.255254
45251.64.44.0/24251.64.44.1 to 251.64.44.254251.64.44.255254
46251.64.45.0/24251.64.45.1 to 251.64.45.254251.64.45.255254
47251.64.46.0/24251.64.46.1 to 251.64.46.254251.64.46.255254
48251.64.47.0/24251.64.47.1 to 251.64.47.254251.64.47.255254
49251.64.48.0/24251.64.48.1 to 251.64.48.254251.64.48.255254
50251.64.49.0/24251.64.49.1 to 251.64.49.254251.64.49.255254
51251.64.50.0/24251.64.50.1 to 251.64.50.254251.64.50.255254
52251.64.51.0/24251.64.51.1 to 251.64.51.254251.64.51.255254
53251.64.52.0/24251.64.52.1 to 251.64.52.254251.64.52.255254
54251.64.53.0/24251.64.53.1 to 251.64.53.254251.64.53.255254
55251.64.54.0/24251.64.54.1 to 251.64.54.254251.64.54.255254
56251.64.55.0/24251.64.55.1 to 251.64.55.254251.64.55.255254
57251.64.56.0/24251.64.56.1 to 251.64.56.254251.64.56.255254
58251.64.57.0/24251.64.57.1 to 251.64.57.254251.64.57.255254
59251.64.58.0/24251.64.58.1 to 251.64.58.254251.64.58.255254
60251.64.59.0/24251.64.59.1 to 251.64.59.254251.64.59.255254
61251.64.60.0/24251.64.60.1 to 251.64.60.254251.64.60.255254
62251.64.61.0/24251.64.61.1 to 251.64.61.254251.64.61.255254
63251.64.62.0/24251.64.62.1 to 251.64.62.254251.64.62.255254
64251.64.63.0/24251.64.63.1 to 251.64.63.254251.64.63.255254
65251.64.64.0/24251.64.64.1 to 251.64.64.254251.64.64.255254
66251.64.65.0/24251.64.65.1 to 251.64.65.254251.64.65.255254
67251.64.66.0/24251.64.66.1 to 251.64.66.254251.64.66.255254
68251.64.67.0/24251.64.67.1 to 251.64.67.254251.64.67.255254
69251.64.68.0/24251.64.68.1 to 251.64.68.254251.64.68.255254
70251.64.69.0/24251.64.69.1 to 251.64.69.254251.64.69.255254
71251.64.70.0/24251.64.70.1 to 251.64.70.254251.64.70.255254
72251.64.71.0/24251.64.71.1 to 251.64.71.254251.64.71.255254
73251.64.72.0/24251.64.72.1 to 251.64.72.254251.64.72.255254
74251.64.73.0/24251.64.73.1 to 251.64.73.254251.64.73.255254
75251.64.74.0/24251.64.74.1 to 251.64.74.254251.64.74.255254
76251.64.75.0/24251.64.75.1 to 251.64.75.254251.64.75.255254
77251.64.76.0/24251.64.76.1 to 251.64.76.254251.64.76.255254
78251.64.77.0/24251.64.77.1 to 251.64.77.254251.64.77.255254
79251.64.78.0/24251.64.78.1 to 251.64.78.254251.64.78.255254
80251.64.79.0/24251.64.79.1 to 251.64.79.254251.64.79.255254
81251.64.80.0/24251.64.80.1 to 251.64.80.254251.64.80.255254
82251.64.81.0/24251.64.81.1 to 251.64.81.254251.64.81.255254
83251.64.82.0/24251.64.82.1 to 251.64.82.254251.64.82.255254
84251.64.83.0/24251.64.83.1 to 251.64.83.254251.64.83.255254
85251.64.84.0/24251.64.84.1 to 251.64.84.254251.64.84.255254
86251.64.85.0/24251.64.85.1 to 251.64.85.254251.64.85.255254
87251.64.86.0/24251.64.86.1 to 251.64.86.254251.64.86.255254
88251.64.87.0/24251.64.87.1 to 251.64.87.254251.64.87.255254
89251.64.88.0/24251.64.88.1 to 251.64.88.254251.64.88.255254
90251.64.89.0/24251.64.89.1 to 251.64.89.254251.64.89.255254
91251.64.90.0/24251.64.90.1 to 251.64.90.254251.64.90.255254
92251.64.91.0/24251.64.91.1 to 251.64.91.254251.64.91.255254
93251.64.92.0/24251.64.92.1 to 251.64.92.254251.64.92.255254
94251.64.93.0/24251.64.93.1 to 251.64.93.254251.64.93.255254
95251.64.94.0/24251.64.94.1 to 251.64.94.254251.64.94.255254
96251.64.95.0/24251.64.95.1 to 251.64.95.254251.64.95.255254
97251.64.96.0/24251.64.96.1 to 251.64.96.254251.64.96.255254
98251.64.97.0/24251.64.97.1 to 251.64.97.254251.64.97.255254
99251.64.98.0/24251.64.98.1 to 251.64.98.254251.64.98.255254
100251.64.99.0/24251.64.99.1 to 251.64.99.254251.64.99.255254
101251.64.100.0/24251.64.100.1 to 251.64.100.254251.64.100.255254
102251.64.101.0/24251.64.101.1 to 251.64.101.254251.64.101.255254
103251.64.102.0/24251.64.102.1 to 251.64.102.254251.64.102.255254
104251.64.103.0/24251.64.103.1 to 251.64.103.254251.64.103.255254
105251.64.104.0/24251.64.104.1 to 251.64.104.254251.64.104.255254
106251.64.105.0/24251.64.105.1 to 251.64.105.254251.64.105.255254
107251.64.106.0/24251.64.106.1 to 251.64.106.254251.64.106.255254
108251.64.107.0/24251.64.107.1 to 251.64.107.254251.64.107.255254
109251.64.108.0/24251.64.108.1 to 251.64.108.254251.64.108.255254
110251.64.109.0/24251.64.109.1 to 251.64.109.254251.64.109.255254
111251.64.110.0/24251.64.110.1 to 251.64.110.254251.64.110.255254
112251.64.111.0/24251.64.111.1 to 251.64.111.254251.64.111.255254
113251.64.112.0/24251.64.112.1 to 251.64.112.254251.64.112.255254
114251.64.113.0/24251.64.113.1 to 251.64.113.254251.64.113.255254
115251.64.114.0/24251.64.114.1 to 251.64.114.254251.64.114.255254
116251.64.115.0/24251.64.115.1 to 251.64.115.254251.64.115.255254
117251.64.116.0/24251.64.116.1 to 251.64.116.254251.64.116.255254
118251.64.117.0/24251.64.117.1 to 251.64.117.254251.64.117.255254
119251.64.118.0/24251.64.118.1 to 251.64.118.254251.64.118.255254
120251.64.119.0/24251.64.119.1 to 251.64.119.254251.64.119.255254
121251.64.120.0/24251.64.120.1 to 251.64.120.254251.64.120.255254
122251.64.121.0/24251.64.121.1 to 251.64.121.254251.64.121.255254
123251.64.122.0/24251.64.122.1 to 251.64.122.254251.64.122.255254
124251.64.123.0/24251.64.123.1 to 251.64.123.254251.64.123.255254
125251.64.124.0/24251.64.124.1 to 251.64.124.254251.64.124.255254
126251.64.125.0/24251.64.125.1 to 251.64.125.254251.64.125.255254
127251.64.126.0/24251.64.126.1 to 251.64.126.254251.64.126.255254
128251.64.127.0/24251.64.127.1 to 251.64.127.254251.64.127.255254
129251.64.128.0/24251.64.128.1 to 251.64.128.254251.64.128.255254
130251.64.129.0/24251.64.129.1 to 251.64.129.254251.64.129.255254
131251.64.130.0/24251.64.130.1 to 251.64.130.254251.64.130.255254
132251.64.131.0/24251.64.131.1 to 251.64.131.254251.64.131.255254
133251.64.132.0/24251.64.132.1 to 251.64.132.254251.64.132.255254
134251.64.133.0/24251.64.133.1 to 251.64.133.254251.64.133.255254
135251.64.134.0/24251.64.134.1 to 251.64.134.254251.64.134.255254
136251.64.135.0/24251.64.135.1 to 251.64.135.254251.64.135.255254
137251.64.136.0/24251.64.136.1 to 251.64.136.254251.64.136.255254
138251.64.137.0/24251.64.137.1 to 251.64.137.254251.64.137.255254
139251.64.138.0/24251.64.138.1 to 251.64.138.254251.64.138.255254
140251.64.139.0/24251.64.139.1 to 251.64.139.254251.64.139.255254
141251.64.140.0/24251.64.140.1 to 251.64.140.254251.64.140.255254
142251.64.141.0/24251.64.141.1 to 251.64.141.254251.64.141.255254
143251.64.142.0/24251.64.142.1 to 251.64.142.254251.64.142.255254
144251.64.143.0/24251.64.143.1 to 251.64.143.254251.64.143.255254
145251.64.144.0/24251.64.144.1 to 251.64.144.254251.64.144.255254
146251.64.145.0/24251.64.145.1 to 251.64.145.254251.64.145.255254
147251.64.146.0/24251.64.146.1 to 251.64.146.254251.64.146.255254
148251.64.147.0/24251.64.147.1 to 251.64.147.254251.64.147.255254
149251.64.148.0/24251.64.148.1 to 251.64.148.254251.64.148.255254
150251.64.149.0/24251.64.149.1 to 251.64.149.254251.64.149.255254
151251.64.150.0/24251.64.150.1 to 251.64.150.254251.64.150.255254
152251.64.151.0/24251.64.151.1 to 251.64.151.254251.64.151.255254
153251.64.152.0/24251.64.152.1 to 251.64.152.254251.64.152.255254
154251.64.153.0/24251.64.153.1 to 251.64.153.254251.64.153.255254
155251.64.154.0/24251.64.154.1 to 251.64.154.254251.64.154.255254
156251.64.155.0/24251.64.155.1 to 251.64.155.254251.64.155.255254
157251.64.156.0/24251.64.156.1 to 251.64.156.254251.64.156.255254
158251.64.157.0/24251.64.157.1 to 251.64.157.254251.64.157.255254
159251.64.158.0/24251.64.158.1 to 251.64.158.254251.64.158.255254
160251.64.159.0/24251.64.159.1 to 251.64.159.254251.64.159.255254
161251.64.160.0/24251.64.160.1 to 251.64.160.254251.64.160.255254
162251.64.161.0/24251.64.161.1 to 251.64.161.254251.64.161.255254
163251.64.162.0/24251.64.162.1 to 251.64.162.254251.64.162.255254
164251.64.163.0/24251.64.163.1 to 251.64.163.254251.64.163.255254
165251.64.164.0/24251.64.164.1 to 251.64.164.254251.64.164.255254
166251.64.165.0/24251.64.165.1 to 251.64.165.254251.64.165.255254
167251.64.166.0/24251.64.166.1 to 251.64.166.254251.64.166.255254
168251.64.167.0/24251.64.167.1 to 251.64.167.254251.64.167.255254
169251.64.168.0/24251.64.168.1 to 251.64.168.254251.64.168.255254
170251.64.169.0/24251.64.169.1 to 251.64.169.254251.64.169.255254
171251.64.170.0/24251.64.170.1 to 251.64.170.254251.64.170.255254
172251.64.171.0/24251.64.171.1 to 251.64.171.254251.64.171.255254
173251.64.172.0/24251.64.172.1 to 251.64.172.254251.64.172.255254
174251.64.173.0/24251.64.173.1 to 251.64.173.254251.64.173.255254
175251.64.174.0/24251.64.174.1 to 251.64.174.254251.64.174.255254
176251.64.175.0/24251.64.175.1 to 251.64.175.254251.64.175.255254
177251.64.176.0/24251.64.176.1 to 251.64.176.254251.64.176.255254
178251.64.177.0/24251.64.177.1 to 251.64.177.254251.64.177.255254
179251.64.178.0/24251.64.178.1 to 251.64.178.254251.64.178.255254
180251.64.179.0/24251.64.179.1 to 251.64.179.254251.64.179.255254
181251.64.180.0/24251.64.180.1 to 251.64.180.254251.64.180.255254
182251.64.181.0/24251.64.181.1 to 251.64.181.254251.64.181.255254
183251.64.182.0/24251.64.182.1 to 251.64.182.254251.64.182.255254
184251.64.183.0/24251.64.183.1 to 251.64.183.254251.64.183.255254
185251.64.184.0/24251.64.184.1 to 251.64.184.254251.64.184.255254
186251.64.185.0/24251.64.185.1 to 251.64.185.254251.64.185.255254
187251.64.186.0/24251.64.186.1 to 251.64.186.254251.64.186.255254
188251.64.187.0/24251.64.187.1 to 251.64.187.254251.64.187.255254
189251.64.188.0/24251.64.188.1 to 251.64.188.254251.64.188.255254
190251.64.189.0/24251.64.189.1 to 251.64.189.254251.64.189.255254
191251.64.190.0/24251.64.190.1 to 251.64.190.254251.64.190.255254
192251.64.191.0/24251.64.191.1 to 251.64.191.254251.64.191.255254
193251.64.192.0/24251.64.192.1 to 251.64.192.254251.64.192.255254
194251.64.193.0/24251.64.193.1 to 251.64.193.254251.64.193.255254
195251.64.194.0/24251.64.194.1 to 251.64.194.254251.64.194.255254
196251.64.195.0/24251.64.195.1 to 251.64.195.254251.64.195.255254
197251.64.196.0/24251.64.196.1 to 251.64.196.254251.64.196.255254
198251.64.197.0/24251.64.197.1 to 251.64.197.254251.64.197.255254
199251.64.198.0/24251.64.198.1 to 251.64.198.254251.64.198.255254
200251.64.199.0/24251.64.199.1 to 251.64.199.254251.64.199.255254
201251.64.200.0/24251.64.200.1 to 251.64.200.254251.64.200.255254
202251.64.201.0/24251.64.201.1 to 251.64.201.254251.64.201.255254
203251.64.202.0/24251.64.202.1 to 251.64.202.254251.64.202.255254
204251.64.203.0/24251.64.203.1 to 251.64.203.254251.64.203.255254
205251.64.204.0/24251.64.204.1 to 251.64.204.254251.64.204.255254
206251.64.205.0/24251.64.205.1 to 251.64.205.254251.64.205.255254
207251.64.206.0/24251.64.206.1 to 251.64.206.254251.64.206.255254
208251.64.207.0/24251.64.207.1 to 251.64.207.254251.64.207.255254
209251.64.208.0/24251.64.208.1 to 251.64.208.254251.64.208.255254
210251.64.209.0/24251.64.209.1 to 251.64.209.254251.64.209.255254
211251.64.210.0/24251.64.210.1 to 251.64.210.254251.64.210.255254
212251.64.211.0/24251.64.211.1 to 251.64.211.254251.64.211.255254
213251.64.212.0/24251.64.212.1 to 251.64.212.254251.64.212.255254
214251.64.213.0/24251.64.213.1 to 251.64.213.254251.64.213.255254
215251.64.214.0/24251.64.214.1 to 251.64.214.254251.64.214.255254
216251.64.215.0/24251.64.215.1 to 251.64.215.254251.64.215.255254
217251.64.216.0/24251.64.216.1 to 251.64.216.254251.64.216.255254
218251.64.217.0/24251.64.217.1 to 251.64.217.254251.64.217.255254
219251.64.218.0/24251.64.218.1 to 251.64.218.254251.64.218.255254
220251.64.219.0/24251.64.219.1 to 251.64.219.254251.64.219.255254
221251.64.220.0/24251.64.220.1 to 251.64.220.254251.64.220.255254
222251.64.221.0/24251.64.221.1 to 251.64.221.254251.64.221.255254
223251.64.222.0/24251.64.222.1 to 251.64.222.254251.64.222.255254
224251.64.223.0/24251.64.223.1 to 251.64.223.254251.64.223.255254
225251.64.224.0/24251.64.224.1 to 251.64.224.254251.64.224.255254
226251.64.225.0/24251.64.225.1 to 251.64.225.254251.64.225.255254
227251.64.226.0/24251.64.226.1 to 251.64.226.254251.64.226.255254
228251.64.227.0/24251.64.227.1 to 251.64.227.254251.64.227.255254
229251.64.228.0/24251.64.228.1 to 251.64.228.254251.64.228.255254
230251.64.229.0/24251.64.229.1 to 251.64.229.254251.64.229.255254
231251.64.230.0/24251.64.230.1 to 251.64.230.254251.64.230.255254
232251.64.231.0/24251.64.231.1 to 251.64.231.254251.64.231.255254
233251.64.232.0/24251.64.232.1 to 251.64.232.254251.64.232.255254
234251.64.233.0/24251.64.233.1 to 251.64.233.254251.64.233.255254
235251.64.234.0/24251.64.234.1 to 251.64.234.254251.64.234.255254
236251.64.235.0/24251.64.235.1 to 251.64.235.254251.64.235.255254
237251.64.236.0/24251.64.236.1 to 251.64.236.254251.64.236.255254
238251.64.237.0/24251.64.237.1 to 251.64.237.254251.64.237.255254
239251.64.238.0/24251.64.238.1 to 251.64.238.254251.64.238.255254
240251.64.239.0/24251.64.239.1 to 251.64.239.254251.64.239.255254
241251.64.240.0/24251.64.240.1 to 251.64.240.254251.64.240.255254
242251.64.241.0/24251.64.241.1 to 251.64.241.254251.64.241.255254
243251.64.242.0/24251.64.242.1 to 251.64.242.254251.64.242.255254
244251.64.243.0/24251.64.243.1 to 251.64.243.254251.64.243.255254
245251.64.244.0/24251.64.244.1 to 251.64.244.254251.64.244.255254
246251.64.245.0/24251.64.245.1 to 251.64.245.254251.64.245.255254
247251.64.246.0/24251.64.246.1 to 251.64.246.254251.64.246.255254
248251.64.247.0/24251.64.247.1 to 251.64.247.254251.64.247.255254
249251.64.248.0/24251.64.248.1 to 251.64.248.254251.64.248.255254
250251.64.249.0/24251.64.249.1 to 251.64.249.254251.64.249.255254
251251.64.250.0/24251.64.250.1 to 251.64.250.254251.64.250.255254
252251.64.251.0/24251.64.251.1 to 251.64.251.254251.64.251.255254
253251.64.252.0/24251.64.252.1 to 251.64.252.254251.64.252.255254
254251.64.253.0/24251.64.253.1 to 251.64.253.254251.64.253.255254
255251.64.254.0/24251.64.254.1 to 251.64.254.254251.64.254.255254
256251.64.255.0/24251.64.255.1 to 251.64.255.254251.64.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses